package com.yanzhu.project.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yanzhu.common.annotation.Excel;
import com.yanzhu.common.core.domain.BaseEntity;

/**
 * 项目信息对象 pro_project_info
 * 
 * @author yanZhu
 * @date 2024-02-23
 */
public class ProProjectInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String name;

    /** 部门主键 */
    @Excel(name = "部门主键")
    private Long deptId;

    /** 项目地址 */
    @Excel(name = "项目地址")
    private String address;

    /** 项目描述 */
    @Excel(name = "项目描述")
    private String infos;

    /** 负责人名称 */
    @Excel(name = "负责人名称")
    private String personName;

    /** 负责人电话 */
    @Excel(name = "负责人电话")
    private String personPhone;

    /** 项目主图 */
    @Excel(name = "项目主图")
    private String mainImage;

    /** 图片列表 */
    @Excel(name = "图片列表")
    private String images;

    /** 项目状态 */
    @Excel(name = "项目状态")
    private String projStatus;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private String isDel;

    /** 项目级单位 */
    @Excel(name = "项目级单位")
    private String unit;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setInfos(String infos) 
    {
        this.infos = infos;
    }

    public String getInfos() 
    {
        return infos;
    }
    public void setPersonName(String personName) 
    {
        this.personName = personName;
    }

    public String getPersonName() 
    {
        return personName;
    }
    public void setPersonPhone(String personPhone) 
    {
        this.personPhone = personPhone;
    }

    public String getPersonPhone() 
    {
        return personPhone;
    }
    public void setMainImage(String mainImage) 
    {
        this.mainImage = mainImage;
    }

    public String getMainImage() 
    {
        return mainImage;
    }
    public void setImages(String images) 
    {
        this.images = images;
    }

    public String getImages() 
    {
        return images;
    }
    public void setProjStatus(String projStatus) 
    {
        this.projStatus = projStatus;
    }

    public String getProjStatus() 
    {
        return projStatus;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("deptId", getDeptId())
            .append("address", getAddress())
            .append("infos", getInfos())
            .append("personName", getPersonName())
            .append("personPhone", getPersonPhone())
            .append("mainImage", getMainImage())
            .append("images", getImages())
            .append("projStatus", getProjStatus())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("unit", getUnit())
            .toString();
    }
}
